import { http } from '@/utils/http'

export interface IFooItem {
  id: string
  name: string
}

export const sysDictType = (params: any) => {
  return http.get('/api/sysDictData/dicStatus', params)
}

export const getVolunteerInitialization = () => {
  return http.get('/api/busProvinceInitialization/list')
}

export const getCountryRules = () => {
  return http.get('/api/v1/base/rules.json', { staticType: 'static' })
}

export const getUnSortType = () => {
  return http.get('/api/v1/base/un_sort_type.json', { staticType: 'static' })
}

export const getUniversityLevel = () => {
  return http.get('/api/v1/base/un_level.json', { staticType: 'static' })
}

export const getRegionInfo = () => {
  return http.get('/api/v1/base/regions.json', { staticType: 'static' })
}

export const getUniversityType = () => {
  return http.get('/api/v1/base/universitytype.json', { staticType: 'static' })
}

// 获取办学性质
export const getNature = () => {
  return http.get('/api/v1/base/nature.json', { staticType: 'static' })
}

export const getUniversityRank = (params: {
  Type: number
  Year?: number
  Name?: string
  PageIndex: number
  PageSize: number
}) => {
  return http.get('/api/zhiYuan/universityRank', { ...params })
}

export const getNewsTop = (params: { Top: number; CategoryId: number; provinceCode: string }) => {
  return http.get('/api/ZyNews/top', params)
}

export const getNewsDetailInfo = (params: { id: number }) => {
  return http.get('/api/ZyNews/detail', params)
}

export const getNewsList = (params: {
  CategoryId: number
  provinceCode: string
  PageIndex: number
  PageSize: number
}) => {
  return http.get('/api/ZyNews/newsPage', params)
}
